* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}
html {
  background: #000;
  scroll-behavior: smooth;
}
body {
  max-width: 1300px;
  margin: auto;
  font-family: "Roboto", sans-serif;
  /* font-family: "Indie Flower", cursive; */
}
/* custom scroll bar */
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
  background: #888;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* all similar content styling codes */
section {
  padding: 100px 0;
}
.max-width {
  max-width: 1300px;
  padding: 0 80px;
  margin: auto;
}
.about,
.text,
.teams {
  color: #eeffff;
  font-family: "Roboto", sans-serif;
}
.about .about-content {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}
section .title {
  color: #eeffff;
  position: relative;
  text-align: center;
  font-size: 40px;
  font-weight: 500;
  margin-bottom: 60px;
  padding-bottom: 20px;
  font-family: "Montserrat", sans-serif;
}
section .title::before {
  content: "";
  position: absolute;
  bottom: 0px;
  left: 50%;
  width: 180px;
  height: 3px;
  background: rgb(0, 0, 0);
  transform: translateX(-50%);
}
section .title::after {
  position: absolute;
  bottom: -8px;
  left: 50%;
  font-size: 20px;
  color: rgb(0, 255, 255);
  padding: 0 5px;
  background: #eeffff;
  transform: translateX(-50%);
}

/* navbar styling */
.navbar {
  max-width: 1300px;
  position: fixed;
  width: 100%;
  z-index: 99;
  padding: 30px 0;
  font-family: "Montserrat", sans-serif;
  transition: all 0.3s ease;
}
.navbar.sticky {
  padding: 15px 0;
  background: #222;
}
.navbar .max-width {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
/* .navbar .logo a {
  color: #fff;
  font-size: 35px;
  font-weight: 600;
}
.navbar .logo a span {
  color: crimson;
  transition: all 0.3s ease;
}
.navbar.sticky .logo a span {
  color: #fff;
} */
.navbar .menu li {
  list-style: none;
  display: inline-block;
}
.navbar .menu li a {
  display: block;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  margin-left: 25px;
  transition: color 0.3s ease;
}
.navbar .menu li a:hover {
  color: #00ffff;
}
.navbar.sticky .menu li a:hover {
  color: #00ffff;
}
.logo {
  width: 100px;
  height: 50px;
  /* background: #000; */
  border-radius: 6px;
}
/* menu btn styling */
.menu-btn {
  color: #fff;
  font-size: 23px;
  cursor: pointer;
  display: none;
}
.scroll-up-btn {
  position: fixed;
  height: 45px;
  width: 42px;
  background: #00ffff;
  right: 30px;
  bottom: 10px;
  text-align: center;
  line-height: 45px;
  color: #000000;
  z-index: 9999;
  font-size: 30px;
  border-radius: 6px;
  border-bottom-width: 2px;
  cursor: pointer;
  opacity: 0;
  pointer-events: none;
  transition: all 0.3s ease;
}
.scroll-up-btn.show {
  bottom: 30px;
  opacity: 1;
  pointer-events: auto;
}
.scroll-up-btn:hover {
  filter: brightness(90%);
}

/* home section styling */
.home {
  display: flex;
  background: #000;

  background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.2)),
    url(../images/kasra-assadian-QTiQ4ujnKeg-unsplash.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

  height: 100vh;
  color: #fff;
  min-height: 500px;

  font-family: "Montserrat", sans-serif;
}
.home .max-width {
  margin: auto 0 auto 30px;
}
/* .home .home-content .text-1 {
  font-size: 27px;
} */
.home .home-content .text-1 .hej {
  font-family: "Indie Flower", cursive;
  font-size: 30px;
}
.home .home-content .text-2 {
  font-size: 55px;
  font-weight: 400;
  margin-left: -3px;
}
/* .home .home-content .text-3 {
  font-size: 40px;
  margin: 5px 0;
} */
.home .home-content .text-4 {
  font-family: "Indie Flower", cursive;
  margin-top: 0.5em;
}

/* .home .home-content .text-3 span {
  color: crimson;
  font-weight: 500;
} */
/* .home .home-content a {
  display: inline-block;
  background: #00ffff;
  color: #fff;
  font-size: 25px;
  padding: 12px 36px;
  margin-top: 20px;
  font-weight: 400;
  border-radius: 6px;
  border: 2px solid #00ffff;
  transition: all 0.3s ease;
}
.home .home-content a:hover {
  color: #00ffff;
  background: none;
} */

/* about section styling */
.about {
  background: #222;
}
.about .title::after {
  content: "Hvem er jeg";
  background: #222;
}
.about .about-content .left {
  width: 45%;
}
.about .about-content .left img {
  height: 400px;
  width: 400px;
  /* object-fit: cover; */
  border-radius: 6px;
  background: #000;
}
.about .about-content .right {
  width: 55%;
}
.about .about-content .right .text {
  color: #eeffff;
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 10px;
}
.about .about-content .right .text .quote {
  font-family: "Indie Flower", cursive;
}
/* .about .about-content .right .text span {
  color: crimson;
} */
.about .about-content .right p {
  text-align: left;
}
.about .about-content .right a {
  display: inline-block;
  background: #00ffff;
  color: #fff;
  font-size: 20px;
  font-weight: 500;
  padding: 10px 30px;
  margin-top: 20px;
  border-radius: 6px;
  border: 2px solid #00ffff;
  transition: all 0.3s ease;
}
.about .about-content .right a:hover {
  color: #00ffff;
  background: none;
}

/* teams section styling */
.teams {
  background: #000;
}
.teams .title::before {
  background: #222;
}
.teams .title::after {
  background: #000;
  content: "Hvad laver jeg";
}
.teams .carousel .card {
  background: #222;
  border-radius: 6px;
  padding: 25px 35px;
  text-align: center;
  overflow: hidden;
  transition: all 0.3s ease;
}
.teams .carousel .card:hover {
  background: #00ffff;
  color: #000;
}

.teams .carousel .card .box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease;
}
.teams .carousel .card:hover .box {
  transform: scale(1.05);
}
.teams .carousel .card .text {
  font-size: 25px;
  font-weight: 500;
  margin: 10px 0 7px 0;
}
.teams .carousel .card i {
  height: 150px;
  width: 150px;
  object-fit: cover;
  border-radius: 50%;
  border: 5px solid #00ffff;
  transition: all 0.3s ease;
}
.teams .carousel .card:hover i {
  color: #000;
  border-color: #000000;
}
.teams .carousel .card .fas {
  font-size: 80px;
  text-align: center;
  height: 150px;
  line-height: 150px;
  vertical-align: middle;
}

.projekter {
  width: 50%;
  display: flex;
  /* align-items: center; */
  justify-content: space-between;
  text-align: left;
}
.but {
  height: 40px;
  width: 80px;
  background: #222;
  color: #eeffff;
  padding-left: 5px;
  font-size: 16px;
  border-radius: 6px;
  border-bottom-width: 2px;
  cursor: pointer;
}
.owl-dots {
  text-align: center;
  margin-top: 20px;
}
.owl-dot {
  height: 13px;
  width: 13px;
  margin: 0 5px;
  outline: none !important;
  border-radius: 50%;
  border: 2px solid #00ffff !important;
  transition: all 0.3s ease;
}
.owl-dot.active {
  width: 35px;
  border-radius: 14px;
}
.owl-dot.active,
.owl-dot:hover {
  background: #00ffff !important;
}

/*xxxxxxxxxxxxxxxxxxxxxxxxxx FOOTER xxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
.footer_bottom {
  background: #222;
  color: #eeffff;
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding: 2em;
}
.footer_bottom a {
  color: #00ffff;
}
.foot {
  padding: 0 0.5em;
}

/*xxxxxxxxxxxxxxxxxxxxxxxxxx kontakt xxxxxxxxxxxxxxxxxxxxxxxxxxxx*/

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 100; /* Sit on top */
  padding: 1rem; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.8);
}
/* Modal Content */
.modal-content {
  position: relative;
  margin: auto;
  width: 100%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 1.2s;
  animation-name: animatetop;
  animation-duration: 1.2s;
}

/* Add Animation */
@-webkit-keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

@keyframes animatebottom {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

.modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
/* The Close Button */
.close {
  color: white;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #00ffff;
  text-decoration: none;
  cursor: pointer;
}
.modal-content p {
  margin-bottom: 1em;
}

fieldset {
  border-radius: 8px;
  border: solid 2px rgb(5, 5, 5);
  padding: 1em 2em;

  background-color: #000;
  color: #eeffff;
  box-shadow: 0px 0px 10px rgba(0, 255, 255, 0.8);
}

legend {
  font-family: "Indie Flower", cursive;
  font-size: 2em;
  padding: 0 0.5em;
  text-shadow: 0 0 2px rgb(0, 255, 255), 0 0 3px rgb(0, 255, 255),
    0 0 4px #00ffff, 0 0 6px #00ffff;
  color: #000000;
  font-weight: 700;
}
.icon_form {
  width: 24px;
  height: 24px;
}
input#submit {
  background-color: #000000;
  color: #00ffff;
  border: 1px solid #00ffff;
  cursor: pointer;
}
input#submit:focus,
input#submit:hover {
  background-color: #00ffff;
  color: #000;
  border: 1px solid #00ffff;
}

.field {
  display: flex;
  flex-flow: column-reverse;
  margin-bottom: 1.5em;
  position: relative;
}

input,
textarea {
  border: 1px solid black;
  border-bottom: 1px solid #eeffff;
  border-left: 1px solid #eeffff;
  border-radius: 4px;
  font-size: 1rem;
  padding: 1rem;
  width: 100%;
  cursor: text;
  color: #eeffff;
  background: rgb(0, 0, 0);
}

textarea {
  min-height: 160px;
}

label {
  color: #00ffff;
  font-size: 0.8em;
}

/* ---------- float label  -------------------- */
input:focus,
textarea:focus {
  outline: 0;
  border-bottom: 2px solid #00ffff;
  background: rgb(5, 5, 5);
}

label,
input,
textarea {
  transition: all 0.2s;
  touch-action: manipulation;
}

input:placeholder-shown + label,
textarea:placeholder-shown + label {
  cursor: text;
  max-width: 70%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  transform-origin: -2.125rem 0;
  transform: translate(0, 2.125rem) scale(1.25);
}

input:not(:placeholder-shown) + label,
input:focus + label,
textarea:not(:placeholder-shown) + label,
textarea:focus + label {
  transform: translate(0, 0) scale(1);
  cursor: pointer;
}

/*xxxxxxxxxxxxxxxxxxxxxxxxxx @media xxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/* responsive media query start */
@media (max-width: 1300px) {
  .home .max-width {
    margin-left: 0px;
  }
}

@media (max-width: 1104px) {
  .about .about-content .left img {
    height: 350px;
    width: 350px;
  }
}
@media (max-width: 991px) {
  .max-width {
    padding: 0 50px;
  }
}
/* -------------------------------------------------------------------------- */

@media (max-width: 947px) {
  .menu-btn {
    display: block;
    z-index: 999;
  }
  .menu-btn i.active:before {
    content: "\f00d";
  }
  .navbar .menu {
    position: fixed;
    height: 100vh;
    width: 100%;
    left: -100%;
    top: 0;
    background: #111;
    text-align: center;
    padding-top: 80px;
    transition: all 0.3s ease;
  }
  .navbar .menu.active {
    left: 0;
  }
  .navbar .menu li {
    display: block;
  }
  .navbar .menu li a {
    display: inline-block;
    margin: 20px 0;
    font-size: 25px;
  }
  .home .home-content .text-2 {
    font-size: 70px;
  }
  .home .home-content .text-3 {
    font-size: 35px;
  }
  .home .home-content a {
    font-size: 23px;
    padding: 10px 30px;
  }
  .max-width {
    max-width: 930px;
  }
  .about .about-content .column {
    width: 100%;
  }
  .about .about-content .left {
    display: flex;
    justify-content: center;
    margin: 0 auto 60px;
  }
  .about .about-content .right {
    flex: 100%;
  }
}
/* ------------------------------                                  ---------------------------------- */
@media (min-width: 700px) {
  fieldset {
    max-width: 600px;
    margin: 0 auto;
  }
}
/* ------------------------------------                 -------------------------------------------- */

@media (max-width: 690px) {
  .max-width {
    padding: 0 23px;
  }
  .home .home-content .text-2 {
    font-size: 60px;
  }
  .home .home-content .text-3 {
    font-size: 32px;
  }
  .home .home-content a {
    font-size: 20px;
  }
  .footer_bottom {
    flex-direction: column;
    text-align: center;
  }
}
/* ---------------------------------------------------------------------------------------------------- */
@media (max-width: 500px) {
  .home .home-content {
    margin: 2em;
  }
  .home .home-content .text-2 {
    font-size: 50px;
  }
  .home .home-content .text-3 {
    font-size: 27px;
  }
  .about .about-content .right .text,
  .left .text {
    font-size: 19px;
  }

  .scroll-up-btn {
    right: 15px;
    bottom: 15px;
    height: 38px;
    width: 35px;
    font-size: 23px;
    line-height: 38px;
  }
}
